JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
// Create a new Android box for demonstration purposes
const boxId = (await gboxSDK.create({ type: "android" })).data.id;
// Use the 'get' method to establish a connection to the box for interactions
const box = await gboxSDK.get(boxId);
// Terminate the box
await box.terminate();
console.log(`Box terminated: ${JSON.stringify(box.data.status)}`);
}
main();import os
from gbox_sdk import GboxSDK
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
# Create a new Android box for demonstration purposes
box_response = gbox_sdk.create(type="android")
box_id = box_response.data.id
# Use the 'get' method to establish a connection to the box for interactions
box = gbox_sdk.get(box_id)
# Terminate the box
box.terminate()
print(f"Box terminated: {box.data.status}")curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/terminate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"wait": true
}'Box
Terminate box
Terminate a running box. This action will stop the box and release its resources.
POST
/
boxes
/
{boxId}
/
terminate
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
// Create a new Android box for demonstration purposes
const boxId = (await gboxSDK.create({ type: "android" })).data.id;
// Use the 'get' method to establish a connection to the box for interactions
const box = await gboxSDK.get(boxId);
// Terminate the box
await box.terminate();
console.log(`Box terminated: ${JSON.stringify(box.data.status)}`);
}
main();import os
from gbox_sdk import GboxSDK
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"])
# Create a new Android box for demonstration purposes
box_response = gbox_sdk.create(type="android")
box_id = box_response.data.id
# Use the 'get' method to establish a connection to the box for interactions
box = gbox_sdk.get(box_id)
# Terminate the box
box.terminate()
print(f"Box terminated: {box.data.status}")curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/terminate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"wait": true
}'Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Body
application/json
Configuration for box operation waiting behavior
Wait for the box operation to be completed, default is true
Example:
true
Response
200
terminate box success
Was this page helpful?